Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kHttpStatus Struct Reference
kApi/Io

## Description

HTTP status code.

Inheritance diagram for kHttpStatus:

## Related
#define | kHTTP_STATUS_CONTINUE (100)
| Continue.
#define | kHTTP_STATUS_SWITCHING_PROTOCOLS (101)
| Switching protocols.
#define | kHTTP_STATUS_OK (200)
| OK.
#define | kHTTP_STATUS_CREATED (201)
| Created.
#define | kHTTP_STATUS_ACCEPTED (202)
| Accepted.
#define | kHTTP_STATUS_NON_AUTHORITATIVE (203)
| Non-authoritative information.
#define | kHTTP_STATUS_NO_CONTENT (204)
| No content.
#define | kHTTP_STATUS_RESET_CONTENT (205)
| Reset content.
#define | kHTTP_STATUS_PARTIAL_CONTENT (206)
| Partial content.
#define | kHTTP_STATUS_MULTIPLE_CHOICES (300)
| Multiple choices.
#define | kHTTP_STATUS_MOVED_PERMANENTLY (301)
| Moved permanently.
#define | kHTTP_STATUS_FOUND (302)
| Found.
#define | kHTTP_STATUS_SEE_OTHER (303)
| See other.
#define | kHTTP_STATUS_NOT_MODIFIED (304)
| Not modified.
#define | kHTTP_STATUS_USE_PROXY (305)
| Use proxy.
#define | kHTTP_STATUS_TEMPORARY_REDIRECT (307)
| Temporary redirect.
#define | kHTTP_STATUS_BAD_REQUEST (400)
| Bad request.
#define | kHTTP_STATUS_UNAUTHORIZED (401)
| Unauthorized.
#define | kHTTP_STATUS_PAYMENT_REQUIRED (402)
| Payment required.
#define | kHTTP_STATUS_FORBIDDEN (403)
| Forbidden.
#define | kHTTP_STATUS_NOT_FOUND (404)
| Not found.
#define | kHTTP_STATUS_METHOD_NOT_ALLOWED (405)
| Method not allowed.
#define | kHTTP_STATUS_NOT_ACCEPTABLE (406)
| Not acceptable.
#define | kHTTP_STATUS_PROXY_AUTH_REQUIRED (407)
| Proxy authentication required.
#define | kHTTP_STATUS_REQUEST_TIMEOUT (408)
| Request timeout.
#define | kHTTP_STATUS_CONFLICT (409)
| Conflict.
#define | kHTTP_STATUS_GONE (410)
| Gone.
#define | kHTTP_STATUS_LENGTH_REQUIRED (411)
| Length required.
#define | kHTTP_STATUS_PRECONDITION_FAILED (412)
| Precondition failed.
#define | kHTTP_STATUS_REQUEST_ENTITY_SIZE (413)
| Request entity too large.
#define | kHTTP_STATUS_REQUEST_URI_SIZE (414)
| Request URI size too large.
#define | kHTTP_STATUS_UNSUPPORTED_MEDIA_TYPE (415)
| Unsupported media type.
#define | kHTTP_STATUS_INVALID_RANGE (416)
| Requested range not satisfiable.
#define | kHTTP_STATUS_EXPECTATION_FAILED (417)
| Expectation failed.
#define | kHTTP_STATUS_INTERNAL_SERVER_ERROR (500)
| Internal server error.
#define | kHTTP_STATUS_NOT_IMPLEMENTED (501)
| Not implemented.
#define | kHTTP_STATUS_BAD_GATEWAY (502)
| Bad gateway.
#define | kHTTP_STATUS_SERVICE_UNAVAILABLE (503)
| Service unavailable.
#define | kHTTP_STATUS_GATEWAY_TIMEOUT (504)
| Gateway timeout.
#define | kHTTP_STATUS_UNSUPPORTED_VERSION (505)
| HTTP version not supported.

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

The documentation for this struct was generated from the following file:

- Io/kHttpServerResponse.h